package itz.componentes;

import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;
import javax.swing.border.LineBorder;
import java.awt.Color;
import javax.swing.JTextField;
import java.awt.Font;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

public class Cajita extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JTextField txtValor;

	/**
	 * Create the panel.
	 */
	public Cajita() {
		setBorder(new TitledBorder(new LineBorder(new Color(0, 0, 255), 4), "Caja de Numeros", TitledBorder.CENTER, TitledBorder.TOP, null, Color.BLUE));
		setLayout(null);
		
		txtValor = new JTextField();
		txtValor.addKeyListener(new KeyAdapter() {
			@Override
			public void keyTyped(KeyEvent evt) {
				char caracter=evt.getKeyChar();
				if (!Character.isDigit(caracter)) {
					getToolkit().beep();
					evt.consume();
					JOptionPane.showMessageDialog(null, "Solo se permiten numeros");
				}
			}
		});
		txtValor.setFont(new Font("Arial", Font.BOLD, 18));
		txtValor.setBounds(41, 23, 357, 71);
		add(txtValor);
		txtValor.setColumns(20);

	}

}
